Subject: Re: [PATCH 2/8] revert: decouple sequencer actions from builtin commands

From: Jonathan Nieder <[email-masked]>
Date: Wed, 11 Jan 2012 10:47:58 -0600

Ramkumar Ramachandra wrote:

> More than the pain of rebasing the patch everytime, I guess what I'm
> asking is: is it worth stretching my foresight like this?  Once the
> code is in sequencer.c, it just becomes so much easier for me to write
> scratch code to help me wrap my head around the generalization.

In that case, why not just a patch to move the code to sequencer.c,
with whatever is the minimum of related fixes (just namespace stuff,
I'd imagine) before it?